<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);



$wp_customize->add_setting(
        'contactus_form_heading2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contactus_form_heading2',
        array(
            'settings'      => 'contactus_form_heading2',
            'section'       => 'luzuk_premium_contactus_section',
            'label'         => __( 'Form Setting ', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_setting(
	'luzuk_contactus_shortcode_lbl',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'CONTACT US', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode_lbl',
	array(
		'settings'      => 'luzuk_contactus_shortcode_lbl',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Box Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'shortcodetxt',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'There are many variations of passages of Lorem Ipsum available but the majority have suffered alteration in some words etc.', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'shortcodetxt',
	array(
		'settings'      => 'shortcodetxt',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Box Text', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_formVGClr', 'luzuk_premium_contactus_section', 'Form Box BG Color', '#E5E6EB');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitleColor', 'luzuk_premium_contactus_section', 'Form Box Title Color', '#111640');

addColorPalatOption($wp_customize, 'luzuk_contactus_titlebxbrdClr', 'luzuk_premium_contactus_section', 'Form Title Box Border Color', '#e6ce88');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholde Border Color', '#8a8c99');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#454261');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#454261');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbgClr', 'luzuk_premium_contactus_section', 'Form Text & Placeholder BG Color', '#E5E6EB');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#F4B504');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#F4B504');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghoverColor', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#111944');

lzCustomLable($wp_customize, 'luzuk_sec_detailbx', 'luzuk_premium_contactus_section', 'Detail Box ');

$wp_customize->add_setting(
	'luzuk_contactus_phonetitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'PHONE', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phonetitle',
	array(
		'settings'      => 'luzuk_contactus_phonetitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '+ 111 2222 333 88', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone',
	array(
		'settings'      => 'luzuk_contactus_phone',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No 1', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_phone2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '+ 111 2222 333 88', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone2',
	array(
		'settings'      => 'luzuk_contactus_phone2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No 2', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_addresstitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'ADDRESS', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_addresstitle',
	array(
		'settings'      => 'luzuk_contactus_addresstitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Address Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_address',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Add Address here..', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address',
	array(
		'settings'      => 'luzuk_contactus_address',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);



$wp_customize->add_setting(
	'luzuk_contactus_emailtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'E-MAIL', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_emailtitle',
	array(
		'settings'      => 'luzuk_contactus_emailtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'plumberwork@fakemail.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID 1', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_email2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'workplumber@nfamail.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email2',
	array(
		'settings'      => 'luzuk_contactus_email2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID 2', 'luzuk Premium' )
	)
);


lzCustomLable($wp_customize, 'luzuk_sec_contpageclr', 'luzuk_premium_contactus_section', 'Detail Box Color ');

addColorPalatOption($wp_customize, 'luzuk_contactus_dbxclr', 'luzuk_premium_contactus_section', 'Detail Box BG Color', '#111944');

addColorPalatOption($wp_customize, 'luzuk_contactus_dicnClr', 'luzuk_premium_contactus_section', 'Icon Color', '#111944');

addColorPalatOption($wp_customize, 'luzuk_contactus_dicnbgClr', 'luzuk_premium_contactus_section', 'Icon BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_dtitleClr', 'luzuk_premium_contactus_section', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Text , Address , Email , Phone No. Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Email , Phone No. Hover Color', '#F4B504');



// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
// $wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
// $wp_customize->add_control(
// 	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
// 		array(
// 			'settings'      => 'luzuk_contactus_iframe_lbl',
// 			'section'       => 'luzuk_premium_contactus_section',
// 			'label'         => __( 'Contact Us Address', 'luzuk-premium' ),
// 		)
// 	)
// );

// field for addeding the map code

// $wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
// $wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));

